summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2016-06-05 15:34:33 +0300
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-05 22:21:58 +0700
commit2e35245d3348d6dc84be945a705b5c5c21d781c9 (patch)
tree9ded8275bb0f228955b40c13dcc51041b1f94d6c /academic
parentaad6293dd9d81fc8ae8ceed38a852e405a0dbf45 (diff)
downloadslackbuilds-2e35245d3348d6dc84be945a705b5c5c21d781c9.tar.gz
slackbuilds-2e35245d3348d6dc84be945a705b5c5c21d781c9.tar.xz
academic/cistrome-conductGO: Added (find the highest expressed TFs)
Diffstat (limited to 'academic')
-rw-r--r--academic/cistrome-conductGO/README24
-rw-r--r--academic/cistrome-conductGO/bioconductor.txt3
-rw-r--r--academic/cistrome-conductGO/cistrome-conductGO.SlackBuild77
-rw-r--r--academic/cistrome-conductGO/cistrome-conductGO.info10
-rw-r--r--academic/cistrome-conductGO/slack-desc19
5 files changed, 133 insertions, 0 deletions
diff --git a/academic/cistrome-conductGO/README b/academic/cistrome-conductGO/README
new file mode 100644
index 0000000000..a0ff4fb3b5
--- /dev/null
+++ b/academic/cistrome-conductGO/README
@@ -0,0 +1,24 @@
+The cistrome refers to "the set of cis-acting targets of a trans-
+acting factor on a genome-wide scale, also known as the in vivo
+genome-wide location of transcription factor binding-sites or histone
+modifications". The term cistrome is a portmanteau of cistron + genome
+and was coined by investigators at the Dana-Farber Cancer Institute
+and Harvard Medical School.
+
+This is cistrome-conductGO (GO analysis): a galaxy tool to find the
+top-n highest expressed TFs. For a list of input genes, this tool uses
+R/BioC packages (GO, GOstats) to identify over represented GO terms.
+
+GO analysis depends on several R script tools (GOstats, GO.db,
+hgu133a.db, hgu133b.db, hgu133plus2.db, hgu95av2.db, mouse430a2.db,
+celegans.db, drosophila2.db, org.Hs.eg.db, org.Mm.eg.db, org.Ce.eg.db,
+org.Dm.eg.db). Visit https://bioconductor.org/ for details and see
+"biocondictor.txt" (also copied to the documentation folder of the
+created package) for batch installation of the required Bioconductor
+Packages.
+
+NOTE!
+This just repackages the script redistributed by the UniPro Ugene
+project, part of their External Tools package. This is the reason the
+homepage link points to Ugene. The source is hosted on Source Forge by
+the SlackBuild maintainer.
diff --git a/academic/cistrome-conductGO/bioconductor.txt b/academic/cistrome-conductGO/bioconductor.txt
new file mode 100644
index 0000000000..415c9f2db0
--- /dev/null
+++ b/academic/cistrome-conductGO/bioconductor.txt
@@ -0,0 +1,3 @@
+## try http:// if https:// URLs are not supported
+source("https://bioconductor.org/biocLite.R")
+biocLite(c("GOstats", "GO.db", "hgu133a.db", "hgu133b.db", "hgu133plus2.db", "hgu95av2.db", "mouse430a2.db", "celegans.db", "drosophila2.db", "org.Hs.eg.db", "org.Mm.eg.db", "org.Ce.eg.db", "org.Dm.eg.db"))
diff --git a/academic/cistrome-conductGO/cistrome-conductGO.SlackBuild b/academic/cistrome-conductGO/cistrome-conductGO.SlackBuild
new file mode 100644
index 0000000000..7f7ca6f2a5
--- /dev/null
+++ b/academic/cistrome-conductGO/cistrome-conductGO.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for cistrome-conductGO
+
+# Copyright 2016 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cistrome-conductGO
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+install -D -m755 go_analysis.py $PKG/usr/bin/go_analysis.py
+install -D -m644 utils.R $PKG/usr/share/$PRGNAM/utils.R
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/bioconductor.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/cistrome-conductGO/cistrome-conductGO.info b/academic/cistrome-conductGO/cistrome-conductGO.info
new file mode 100644
index 0000000000..a5edc11c01
--- /dev/null
+++ b/academic/cistrome-conductGO/cistrome-conductGO.info
@@ -0,0 +1,10 @@
+PRGNAM="cistrome-conductGO"
+VERSION="1.0"
+HOMEPAGE="http://ugene.net/external.html"
+DOWNLOAD="http://sourceforge.net/projects/sboppetrov/files/ugene/cistrome-conductGO/cistrome-conductGO-1.0.tar.gz"
+MD5SUM="f15648c693460b07f285008b6c061858"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="R"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/cistrome-conductGO/slack-desc b/academic/cistrome-conductGO/slack-desc
new file mode 100644
index 0000000000..04ffa71c74
--- /dev/null
+++ b/academic/cistrome-conductGO/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cistrome-conductGO: cistrome-conductGO (find the top-n highest expressed TFs)
+cistrome-conductGO:
+cistrome-conductGO: A galaxy tool to find the top-n highest expressed TFs.
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO:
+cistrome-conductGO: